GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtAtomicOp Class Reference
GTPin: GEN Architecture

Type of the atomic operation. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
constexpr | GtAtomicOp (GED_ATOMIC_OPERATION_TYPE v=GED_ATOMIC_OPERATION_TYPE_INVALID)
| Conversion constructor.
constexpr | operator GED_ATOMIC_OPERATION_TYPE () const
| Conversion operator.
const char * | ToString () const
| Return string representation.

## Detailed Description

Type of the atomic operation.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT